View Issue Details

IDProjectCategoryLast Update
0021560AI War 2[All Projects] Gameplay IssueSep 15, 2019 11:38 am
ReporterAsteroidAssigned ToBadgerBadger 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.885 The Audible Bodyguard 
Fixed in Version0.886 Zombie Homebodies 
Summary0021560: Zombies are often useless or actively harmful
DescriptionParasites in AI War 1 just straight up gave you the units to control as you please. I imagine "Zombies" were introduced to avoid blowing up your energy cap and because just gaining new units like that doesn't mesh well with the "Fleets" concept.

The issue I have with zombies is that you have zero control over what they decide to do. The luck of the draw gave me a lot of parasite ships in my current game, and I'm finding that zombies while useful during a combat because they switch the odds in your favor faster, become useless or even actively harmful afterwards:

- I had one completely neuteured planet besides the command station within my borders, zombies decided to gather there (5-10 strength).
- Often after a battle they just decide to attack neighbouring AI worlds through a random wormhole. The big problem with that is that they wake up guard posts and create massive threat. Very problematic when they decide to aggro a level V world, which is too strong for me to even try to follow the zombies and capitalize on their presence to attack.
- The most use I got out of zombies was when I left a Black Hole Machine alive in a border world on purpose, so zombies would stay trapped there and serve as defenders! It just kept getting stronger and stronger.

Now, I can't deny that zombies have a certain flavor to them, and that seeing them roam around is pretty funny. The Black Hole trick being possible is an interesting advanced gameplay possibility. But I think aggroing the guard posts against you is very problematic, potentially game-ending if enough high-level worlds are nearby. Perhaps the guard post forces could simply kill the zombies and go back to sleep? After all "threat" is created against you in response to your attacks, but technically those zombies aren't your ships.

Otherwise, some more intelligent behavior or limited means of herding the zombies around would be appreciated. Ideas:
- (My favorite so far) Actually make them useful on their own: give them some basic AI/"instinct"/"fear" - they don't go into a system where they'll just get slaughtered and only aggro the AI. Instead they act like the dumbest possible "threat fleet": they mass forces until they actually have a shot at doing some serious damage against a nearby system, and then charge in. They're still liable to create serious threat, but at least they'll take down multiple guard posts with them.
- Have them follow the nearest flagship, or the flagship of the parasite ships that created the zombies, or any parasite ship.
- Vaguely follow your units around - only go in systems where you have units. Could still be annoying if they follow your cloaked covert strike, but they could ignore cloaked units... gets complicated.
- Vaguely try to protect your units - only head to systems where your units are getting killed. This variant doesn't ruin your covert strikes as much.
- Have them gather around your command stations, making them defensive only, and admittedly more boring.
- Introduce a special rally point that attracts all your zombies to its location.
- Zombies don't use wormholes and only mull around in the system they were created with, unless you find some special tech that allows you to control them:
    -- special flagship that they follow, perhaps even load into
    -- device that lets you set a rally point or give attack orders to the zombies
    -- building you build over a wormhole that attracts zombies and forces them to cross this wormhole - this lets you set up a chain of world to shuffle the zombies into the system of your choice
TagsNo tags attached.

Relationships

related to 0021402 resolvedBadgerBadger Zombie journey between planets and provocate AI 
related to 0021650 consideringx4000Bughunter More Intra-Galactic Coordinator types and other Capturables 

Activities

BadgerBadger

Sep 2, 2019 4:49 pm

manager   ~0052747

Last edited: Sep 3, 2019 12:27 am

View 2 revisions

I'm pretty happy with zombies as they are, but if Chris would like some changes I can look into it. I feel like zombies flavour-wise would just wander off and attack the AI.

It's worth noting that when zombies annoy the AI, the Threat generated can only be used against Zombies unless something else annoys them too. So if there is a player planet with zombies on it then the Threat generated might attack your planet to get at the zombies, then would also get mad at you too.

NRSirLimbo

Sep 2, 2019 10:39 pm

reporter   ~0052752

I second the issues with the Zombies.
The most simple way for a quick fix currently might be to have the zombie AI patrol your planets until you put close to (at least 75%) strength to an enemy planet adjacent to your own, at which point they support your attack.

Asteroid

Sep 3, 2019 1:24 am

reporter   ~0052761

I just saw that someone else entered an issue about this in the past, and there was some discussion: https://bugtracker.arcengames.com/view.php?id=21402

"It's worth noting that when zombies annoy the AI, the Threat generated can only be used against Zombies unless something else annoys them too."
This good to know, but it seems the player has no visibility on that? From what I saw, the Threat number goes up in those systems once the zombies get in.
With the game putting more emphasis on factions than before, it seems that the player needs a tool to know how many ships at mad at him, instead of generic "Threat" number that gets very worrying.

BadgerBadger

Sep 3, 2019 1:28 am

manager   ~0052762

Last edited: Sep 3, 2019 1:28 am

View 2 revisions

The Threat number reported to is only the Threat against the player. If the threat is going up from just zombies attacking a planet then it's a bug. You as a player don't get any insight into the "other" threat forces.

BadgerBadger

Sep 3, 2019 5:28 pm

manager   ~0052785

Fixed. if you'd like zombies to do more complex things then open a Suggestion for that, but it's unlikely to make it into 1.0

Issue History

Date Modified Username Field Change
Sep 2, 2019 4:46 pm Asteroid New Issue
Sep 2, 2019 4:48 pm Asteroid Description Updated View Revisions
Sep 2, 2019 4:48 pm Asteroid Description Updated View Revisions
Sep 2, 2019 4:48 pm Asteroid Description Updated View Revisions
Sep 2, 2019 4:49 pm BadgerBadger Relationship added related to 0021402
Sep 2, 2019 4:49 pm BadgerBadger Note Added: 0052747
Sep 2, 2019 10:39 pm NRSirLimbo Note Added: 0052752
Sep 3, 2019 12:27 am BadgerBadger Note Edited: 0052747 View Revisions
Sep 3, 2019 1:24 am Asteroid Note Added: 0052761
Sep 3, 2019 1:28 am BadgerBadger Note Added: 0052762
Sep 3, 2019 1:28 am BadgerBadger Note Edited: 0052762 View Revisions
Sep 3, 2019 5:28 pm BadgerBadger Assigned To => BadgerBadger
Sep 3, 2019 5:28 pm BadgerBadger Status new => resolved
Sep 3, 2019 5:28 pm BadgerBadger Resolution open => fixed
Sep 3, 2019 5:28 pm BadgerBadger Fixed in Version => 0.886 Zombie Homebodies
Sep 3, 2019 5:28 pm BadgerBadger Note Added: 0052785
Sep 15, 2019 11:38 am NRSirLimbo Relationship added related to 0021650